Bug 496134 - Video initialization problems when booting from EFI on MacBook Pro 4,1
Video initialization problems when booting from EFI on MacBook Pro 4,1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 15:43 EDT by Stewart Adam
Modified: 2010-12-05 01:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:56:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -nn (2.49 KB, text/plain)
2009-04-16 15:43 EDT, Stewart Adam
no flags Details
Output of dmidecode (14.08 KB, text/plain)
2009-04-16 15:44 EDT, Stewart Adam
no flags Details
Output of lspci -vv (28.26 KB, text/plain)
2009-04-16 19:28 EDT, Stewart Adam
no flags Details

  None (edit)
Description Stewart Adam 2009-04-16 15:43:35 EDT
Created attachment 339909 [details]
Output of lspci -nn

Description of problem:
When booting a MacBook Pro 4,1 via EFI, the kernel boots successfully however the display is not updated and will always display a blank GRUB screen (or the splash screen if one is loaded)

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-85.fc11

How reproducible:
Always

Steps to Reproduce:
1. Copy efidisk.img or F11 snap1 to a USB key
2. Update to latest kernel
3. Reboot
4. Hold "Option" and select EFI disk
  
Actual results:
A blank GRUB screen or the splash screen with no text is displayed

Expected results:
Boot screen, then X, etc

Additional info:
See #466954

Attached are the outputs of 'dmidecode' and 'lspci -nn' when booting via BootCamp
Comment 1 Stewart Adam 2009-04-16 15:44:03 EDT
Created attachment 339910 [details]
Output of dmidecode
Comment 2 Peter Jones 2009-04-16 15:49:06 EDT
Can you attach "lspci -vv" output as well?
Comment 3 Stewart Adam 2009-04-16 19:28:41 EDT
Created attachment 339944 [details]
Output of lspci -vv

Just a note, this was run from my F-10 installation so the section that says the nvidia proprietary driver is loaded isn't true for the USB key I'm using... If you'd like me to test this directly from within the Beta, I'll re-upload the file.
Comment 4 Stewart Adam 2009-04-26 23:26:30 EDT
I just tested with kernel-2.6.29.1-111.fc11, problem still occurs.
Comment 5 Peter Jones 2009-06-02 15:55:36 EDT
Okay, so lspci shows:
  Region 0: Memory at 92000000 (32-bit, non-prefetchable) [size=16M]
  Region 1: Memory at 80000000 (64-bit, prefetchable) [size=256M]
  Region 3: Memory at 90000000 (64-bit, non-prefetchable) [size=32M]

Which means somehow your framebuffer is at an entirely different address from what we've got in the driver's table.  Can you try booting with each of:

video=efifb:base:0x92000000
video=efifb:base:0x80000000
video=efifb:base:0x90000000

And see if it helps at all?
Comment 6 Stewart Adam 2009-06-02 17:13:43 EDT
I tried all three as well as nouveau.modeset=1 just in case but none work, I still see a blank GRUB splashscreen after selecting any kernel to boot up.
Comment 7 Bug Zapper 2009-06-09 09:57:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Stewart Adam 2009-08-31 17:41:02 EDT
Problem still occurring with F12 Alpha.
Comment 9 Bug Zapper 2009-11-16 04:55:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-11-04 07:20:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 01:56:36 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.